import { ResultObject } from './ResultObject';
export declare class IjmWhiteBoxSM4 {
	//#ECB_ENC
    static sm4_ecb_encrypt_string(z2: string, a3: string, b3: number): ResultObject;
    static sm4_ecb_encrypt_byte(u2: string, v2: ArrayBuffer, w2: number): ResultObject;
	//#END_ECB_ENC
	//#ECB_DEC
    static sm4_ecb_decrypt_string(p2: string, q2: string, r2: number): ResultObject;
    static sm4_ecb_decrypt_byte(k2: string, l2: ArrayBuffer, m2: number): ResultObject;
	//#END_ECB_DEC
	//#CBC_ENC
    static sm4_cbc_encrypt_string(g2: string, h2: string, i2: number, j2: string): ResultObject;
    static sm4_cbc_encrypt_byte(a2: string, b2: ArrayBuffer, c2: number, d2: string): ResultObject;
	//#END_CBC_ENC
	//#CBC_DEC
    static sm4_cbc_decrypt_string(u1: string, v1: string, w1: number, x1: string): ResultObject;
    static sm4_cbc_decrypt_byte(o1: string, p1: ArrayBuffer, q1: number, r1: string): ResultObject;
	//#END_CBC_DEC
}
